Remove a payment token linked to a card
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal ID of the terminal requesting the transaction |
| profileNumber | String | 1-20 characters | ✓ | Profile number linked with this card |
| trackingNumber | String | 1-10 characters | ✓ | The tracking number of the card of which to remove the payment token from |
| tokenUniqueReference | String | 48 characters | ✓ | The unique reference of the token |
| stopReasonID | Integer | ✓ | Stop reason associated with the reason for stopping the token or tokens.; ; The reason ID for stopping the token:; ; 1 – Card lost; ; 2 – Card stolen; ; 3 – Pending query; ; 4 – Card consolidation; ; 5 – Card inactive; ; 6 – PIN tries exceeded; ; 7 – Suspected fraud; ; 8 – Card replaced | |
| comment | String | 1-500 characters | ✓ | Description as to why the token was deleted |
| transactionID | String | 1-255 characters | ✓ | Transaction ID number generated by the calling client |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | ✓ | HMAC-SHA1 or HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0"?>
<methodCall>
<methodName>DeleteToken</methodName>
<params>
<param>
<value>
<string>0020787431</string>
</value>
</param>
<param>
<value>
<string>Cyp001</string>
</value>
</param>
<param>
<value>
<string>412084400000001</string>
</value>
</param>
<param>
<value>
<string>DWSPMC00000000010906a349d9ca4eb1a4d53e3c90a11d9c</string>
</value>
</param>
<param>
<value>
<int>1</int>
</value>
</param>
<param>
<value>
<string>Card no longer in use</string>
</value>
</param>
<param>
<value>
<string>fb8344c9-2fc9-467b-87e4-55eaf88d06f1</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200101T09:00:00</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>0CC10A5F9B392D022BCB740FD4041C1BF83D012F</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Parameter | type | Description |
|---|---|---|
| terminalID | String | Echo of incoming value |
| profileNumber | String | Echo of incoming value |
| trackingNumber | String | Echo of incoming value |
| tokenUniqueReference | String | Echo of incoming value |
| clientTransactionID | String | Echo of incoming value |
| serverTransactionID | String | Transaction id generated by Paymentology |
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Text indicating transaction result |
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>terminalID</name>
<value>
<string>0020787431</string>
</value>
</member>
<member>
<name>profileNumber</name>
<value>
<string>Cyp001</string>
</value>
</member>
<member>
<name>trackingNumber</name>
<value>
<string>412084400000001</string>
</value>
</member>
<member>
<name>tokenUniqueReference</name>
<value>
<string>DWSPMC00000000010906a349d9ca4eb1a4d53e3c90a11d9c</string>
</value>
</member>
<member>
<name>clientTransactionID</name>
<value>
<string>fb8344c9-2fc9-467b-87e4-55eaf88d06f1</string>
</value>
</member>
<member>
<name>serverTransactionID</name>
<value>
<string>766AA815-155D-0028-9D73400C6ACF4DDA</string>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>| Code | Description |
|---|---|
| 1 | Ok |
| -10 | Custom error message (see resultText field for description) |
| -294 | Invalid stop reason id |
| -395 | Card not linked to profile |
| -396 | Profile not linked to terminal |
| -398 | Card is not allocated |
Error Objects
Error Fault for invalid checksum authentication returns the following message:
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<fault>
<value>
<struct>
<member>
<name>faultCode</name>
<value>
<int>-8</int>
</value>
</member>
<member>
<name>faultString</name>
<value>
<string>Authentication failed</string>
</value>
</member>
</struct>
</value>
</fault>
</methodResponse>